using AlarmInfoServerSim.Services;
using AlarmInfoServerSim.Views;
using System.Windows;
using TLVProtocal;

namespace AlarmInfoServerSim
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : PrismApplication
    {
        protected override Window CreateShell() => Container.Resolve<MainWindow>();

        protected override void RegisterTypes(IContainerRegistry containerRegistry)
        {
            //Services
            containerRegistry.RegisterSingleton<ISharedConfig, SharedConfig>();
            containerRegistry.RegisterSingleton<IInfoSendingService, InfoSendingService>();
        }
    }

}
